Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmpp
Class XMPPTransport

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandlerSupport
          org.codehaus.xfire.transport.AbstractTransport
              org.codehaus.xfire.transport.AbstractWSDLTransport
                  org.codehaus.xfire.xmpp.XMPPTransport

All Implemented Interfaces:
  HandlerSupport, ChannelFactory, Transport, WSDL11Transport

    public class XMPPTransport

extends AbstractWSDLTransport
implements Transport, WSDL11Transport

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `NAME`
`static java.lang.String` | `XMPP_TRANSPORT_NS`

Constructor Summary
`XMPPTransport(XFire xfire, java.lang.String server, java.lang.String username, java.lang.String password)`

Method Summary
`protected Channel` | `createNewChannel(java.lang.String uri)`
`java.lang.String[]` | `getKnownUriSchemes()`
`java.lang.String` | `getName()` Gets the transport name.
`java.lang.String` | `getPassword()`
`java.lang.String` | `getServer()`
`java.lang.String` | `getServiceURL(Service service)`
`java.lang.String` | `getTransportURI(Service service)`
`protected java.lang.String` | `getUriPrefix()`
`java.lang.String` | `getUsername()`
`XFire` | `getXFire()`

Methods inherited from class org.codehaus.xfire.transport.AbstractWSDLTransport
`createBinding, createBindingOperation, createPort, createSoapBinding, createSoapBody, createSoapHeader`

Methods inherited from class org.codehaus.xfire.transport.AbstractTransport
`createChannel, createChannel, dispose, getChannelMap`

Methods inherited from class org.codehaus.xfire.handler.AbstractHandlerSupport
`addFaultHandler, addInHandler, addOutHandler, getFaultHandlers, getInHandlers, getOutHandlers, setFaultHandlers, setInHandlers, setOutHandlers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.transport.Transport
`dispose`

Methods inherited from interface org.codehaus.xfire.transport.ChannelFactory
`createChannel, createChannel`

Methods inherited from interface org.codehaus.xfire.handler.HandlerSupport
`getFaultHandlers, getInHandlers, getOutHandlers`

Methods inherited from interface org.codehaus.xfire.wsdl11.WSDL11Transport
`createBinding, createBindingOperation, createPort`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### XMPP_TRANSPORT_NS

    public static final java.lang.String XMPP_TRANSPORT_NS

See Also:
  Constant Field Values

Constructor Detail

### XMPPTransport

    public XMPPTransport(XFire xfire,
                         java.lang.String server,
                         java.lang.String username,
                         java.lang.String password)

Method Detail

### getName

    public java.lang.String getName()

  Gets the transport name. @see NAME.

  Specified by:
    `getName` in interface `Transport`

### getServiceURL

    public java.lang.String getServiceURL(Service service)

  Specified by:
    `getServiceURL` in class `AbstractWSDLTransport`
  Parameters:
    `service` -
  Returns:

### getTransportURI

    public java.lang.String getTransportURI(Service service)

  Specified by:
    `getTransportURI` in class `AbstractWSDLTransport`
  Parameters:
    `service` -
  Returns:

### createNewChannel

    protected Channel createNewChannel(java.lang.String uri)

  Specified by:
    `createNewChannel` in class `AbstractTransport`

### getUriPrefix

    protected java.lang.String getUriPrefix()

  Specified by:
    `getUriPrefix` in class `AbstractTransport`

### getPassword

    public java.lang.String getPassword()

### getXFire

    public XFire getXFire()

### getServer

    public java.lang.String getServer()

### getUsername

    public java.lang.String getUsername()

### getKnownUriSchemes

    public java.lang.String[] getKnownUriSchemes()

  Specified by:
    `getKnownUriSchemes` in interface `Transport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.